MComix(1)

NAME
MComix - GTK Comic Book Viewer

SYNOPSIS
mcomix [OPTION...] [PATH...]

DESCRIPTION
MComix is a user-friendly, customizable image viewer. It is specifically designed to handle comic books (both Western comics and manga) and supports a variety of container formats (including CBR, CBZ, CB7, CBT, LHA and PDF).

OPTIONS

-h, --help
    Display the help text and exit.

-s, --slideshow
    Start the application in slideshow mode.

-l, --library
    Show the library on startup.

-v, --version
    Show the version number and exit.

Viewing modes

-f, --fullscreen
    Start the application in fullscreen mode.

-m, --manga
    Start the application in manga mode.

-d, --double-page
    Start the application in double page mode.

Zoom modes

-b, --zoom-best
    Start the application with zoom set to best fit mode.

-w, --zoom-width
    Start the application with zoom set to fit width.

-h, --zoom-height
    Start the application with zoom set to fit height.

The zoom modes are mutually exclusive, and if more than one is specified, the first will be used.

ARGUMENTS

PATH
    The path to one or more files or directories to be opened.

DEPENDENCIES

  Required:
Python 3.3 or later

PyGObject 3.24 or later, with GTK+ 3 3.22 or later.

PIL (Python Imaging Library) 1.1.5 or later. Alternatively, Pillow (a fork of PIL) can be used.

Distribute or Setuptools. Distribute supersedes Setuptools on most distributions.

  Recommended:
unrar, rar or libunrar to extract RAR archives.

p7zip to extract 7Z archives. Note that p7zip might be able to extract RAR archives as well, but this might require additional software (for example, p7zip-rar on Debian-like systems), and it might fail to open certain RAR archives, especially newer ones.

lha to extract LHA archives.

mupdf for PDF support.

BUGS
Please report any bugs to the MComix bug tracker at
http://sourceforge.net/projects/mcomix

CONTACT
The MComix home page is
http://mcomix.sourceforge.net